Items with no label
3329 Discussions

SDK old versions

idata
Employee
3,464 Views

Help me please, I need an older version of Intel RealSense SDK - 2014 (4.0.0.112526) (must be Development Kit, not Runtime!), where I can get it?

 

https://software.intel.com/en-us/articles/previous-intel-realsense-install https://software.intel.com/en-us/articles/previous-intel-realsense-install - there only runtime

0 Kudos
1 Solution
Pedro_M_Intel
Employee
1,086 Views

Hello Skval,

Thanks for reaching out!

You can find version 4.0.0.112526 of RealSense's SDK in the following link.

http://registrationcenter-download.intel.com/akdlm/irc_nas/5105/intel_rs_sdk_offline_4.0.0.112526.ex... http://registrationcenter-download.intel.com/akdlm/irc_nas/5105/intel_rs_sdk_offline_4.0.0.112526.ex...

Let me know if you need anything else.

-Peter.

View solution in original post

19 Replies
Pedro_M_Intel
Employee
1,087 Views

Hello Skval,

Thanks for reaching out!

You can find version 4.0.0.112526 of RealSense's SDK in the following link.

http://registrationcenter-download.intel.com/akdlm/irc_nas/5105/intel_rs_sdk_offline_4.0.0.112526.ex... http://registrationcenter-download.intel.com/akdlm/irc_nas/5105/intel_rs_sdk_offline_4.0.0.112526.ex...

Let me know if you need anything else.

-Peter.

idata
Employee
1,086 Views
achen90
Novice
1,086 Views

Hello ,Peter . I need your help

I am still looking for the old version of SDK (4.0.0.112526) for I am working on the software named Faceshift.

how to find the correct link of the SDK since the link you have given failed?

Thanks

---August

MartyG
Honored Contributor III
1,086 Views

All of the versions before 2016 R2 are broken links on the download page and have been for a while. It is unlikely that those older versions will ever be available again.

If you are able to consider using software other than Faceshift, alternatives that support RealSense include:

Facerig

https://facerig.com/ https://facerig.com/

Uraniom

http://www.uraniom.co/ Uraniom - Universal 3D avatar for VR/AR apps and video games

Pedro_M_Intel
Employee
1,086 Views

Hi August,

I'm afraid MartyG is right, the old SDK versions are no longer available. I'd suggest you to follow MartyG's suggestion, I believe that is currently the best option.

Peter.

achen90
Novice
1,086 Views

Thank you for your advice ,but it did not solve my problem . I am making facial animation for game characters which I have created, not download one . Thank you for help ,wish you have a good day !

,

achen90
Novice
1,086 Views
MartyG
Honored Contributor III
1,086 Views

I managed to track down a still active download link for the 2014 SDK on an Intel China server.

Pedro_M_Intel
Employee
1,086 Views

That is amazing MartyG! I really thought they were gone, the first time I searched for the link it was really hard to find it, but thanks to your link I was able to find version 4.0.0.112526 on that same server. You can get it in:

http://percsdk.qiniudn.com/intel_rs_sdk_offline_4.0.0.112526.exe http://percsdk.qiniudn.com/intel_rs_sdk_offline_4.0.0.112526.exe

August, I suggest you to get it as quickly as possible as it may come down any time.

Peter.

idata
Employee
1,086 Views

Hello, I'm sorry to take over this thread. I just received this information from the RealSense team and have posted it in this /community/tech/realsense/blog/2017/02/27/announcement-older-versions-of-intel-realsense-sdk-for-windows-discontinued blog. For security reasons, Intel recommends developers to not download and use versions of the SDK prior to 2016 R2 (v10.0.26.0396). See this https://software.intel.com/en-us/articles/intel-realsense-sdk-web-component-uninstall-instructions notice for further details.

 

 

Best regards,

 

Jesus

 

Intel Customer Support
MartyG
Honored Contributor III
1,086 Views

Thank you very much Peter! I suspected that R2 might be on their servers somewhere too but hadn't had an opportunity to investigate myself. 4.0.0.112526 (R2) is an important find because it's the first version that supports R200, so it gives R200 users a means of using Faceshift. I have backed it up to an offline dvd like I did with R1 so the file can be preserved if it goes missing again.

Edit: Jesus, I just saw your message. That's a pity but understandable, particularly in the light of the recent Web Component warning. I will keep the SDK installers though, as they may come in useful someday for personal research.

PMorr2
Beginner
1,086 Views

Me too.

Did you manage to find old installers for the SDK and Depth Manager?

Thanks

idata
Employee
1,086 Views

Hi MrPMorris,

 

 

You will find the direct link to the SDK R2 in the following blog: https://communities.intel.com/community/tech/realsense/blog/2017/04/19/direct-link-to-intel-realsens... https://communities.intel.com/community/tech/realsense/blog/2017/04/19/direct-link-to-intel-realsens...

 

 

The DCM (Depth Camera Manager) is available on Download Center ( https://downloadcenter.intel.com/) or it gets auto installed when the camera is plugged in.

 

 

Hope it helps.

 

 

Regards,

 

Diego V.
PMorr2
Beginner
1,086 Views

Hi Diego

I need to find SDK's from 2015. I have tried the 2016 ones and they are incompatible with the abandonware software I need to use them with.

MartyG
Honored Contributor III
1,086 Views

The most recent 2015 SDK available is one that should work with the R200 but not SR300, as SR300 support was not introduced until '2016 R1'. The 1.3 gb download link is in the page linked to below. As I say in that discussion, you should avoid using the web components of that old SDK to avoid being exposed to a possible security vulnerability. Use of this SDK then is entirely at your own risk, knowing the warning.

nflin
Beginner
1,086 Views

On the same basis, do you have a link to the SDK (not runtime redistributable) for the superseded 2016R2 version of the SDK. It appears there are some breaking changes in the R3 SDK and I'd like to be able to revert my code to R2.

Thanks in advance.

--Neil

idata
Employee
1,086 Views

Hi Skval,

 

 

I'm glad to help!

 

 

Hi Neil,

 

 

Are you referring to the version 10.0.26.0396? If so, it can be downloaded from http://registrationcenter-download.intel.com/akdlm/irc_nas/vcp/9078/intel_rs_sdk_offline_package_10.....

 

 

Let me know.

 

 

-Peter.
nflin
Beginner
1,086 Views

Many thanks, much obliged.

idata
Employee
1,086 Views

I'm here to help!

 

 

-Peter.
Reply